<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full">
  <div class="w-full h-full">
    <p-fileUpload
      *ngIf="!uploaded"
      name="myfile[]"
      [multiple]="false"
      accept=".jsonld,.json"
      [maxFileSize]="1000000"
      [auto]="true"
      [customUpload]="true"
      (onSelect)="onFileUpload($event)"
      chooseLabel="Choose a file"
      chooseIcon="pi pi-folder-open"
      styleClass="w-full h-full"
      mode="advanced"
    >
      <ng-template pTemplate="content">
        <div class="w-full h-full px-4">
          <div
            [ngClass]="['w-full h-full border-2 rounded-sm items-center justify-center', over ? ' border-secondary-900' : ' border-text-300 border-dashed']"
            (dragover)="over = true"
            (dragleave)="over = false"
          >
            <div class="w-full h-full">
              <div class="flex flex-col items-center justify-center w-full h-full">
                <i class="pi pi-file-import" style="font-size: 2rem"></i>
                <div class="text-sm font-medium"><span class="font-bold">Choose a file</span> or drag it here</div>
              </div>
            </div>
          </div>
        </div>
      </ng-template>
      <ng-template let-file pTemplate="file"> </ng-template>
    </p-fileUpload>
    <div [hidden]="!uploaded" class="w-full h-full">
      <div *ngIf="content" class="w-full h-full flex flex-col">
        <div class="w-full grow">
          <app-code-editor [(ngModel)]="content"></app-code-editor>
        </div>
        <div class="w-full flex items-center justify-between mt-8">
          <app-platform-copy label="Copy TD" [textToCopy]="content" copyMessage="TD copied to clipboard"></app-platform-copy>
          <div *ngIf="actions">
            <ng-template [ngTemplateOutlet]="actions"> </ng-template>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
